> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 表のクエリ



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /table/query
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /table/query:
    post:
      tags:
        - Tables
      summary: 表のクエリ
      operationId: table_query_table_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TableQueryReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableQueryRes'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    TableQueryReq:
      additionalProperties: false
      properties:
        digest:
          description: クエリ対象の表のダイジェスト
          examples:
            - aonareimsvtl13apimtalpa4435rpmgnaemrpgmarltarstaorsnte134avrims
          title: Digest
          type: string
        filter:
          anyOf:
            - $ref: '#/components/schemas/TableRowFilter'
            - type: 'null'
          description: クエリに適用するオプションのフィルター。詳細は `TableRowFilter` を参照してください。
          examples:
            - row_digests:
                - >-
                  aonareimsvtl13apimtalpa4435rpmgnaemrpgmarltarstaorsnte134avrims
                - >-
                  aonareimsvtl13apimtalpa4435rpmgnaemrpgmarltarstaorsnte134avrims
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          description: 返す行の最大数
          examples:
            - 100
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          description: 行の返却を開始する前にスキップする行数
          examples:
            - 10
          title: Offset
        project_id:
          description: プロジェクトの ID
          examples:
            - my_entity/my_project
          title: Project Id
          type: string
        sort_by:
          anyOf:
            - items:
                $ref: '#/components/schemas/SortBy'
              type: array
            - type: 'null'
          description: >-
            並べ替えに使用するフィールドの一覧。辞書の値にアクセスするには、フィールドをドット区切りで指定できます。並べ替えを指定しない場合は、表のデフォルトの順序（挿入順）が使用されます。
          examples:
            - - field: col_a.prop_b
                order: desc
          title: Sort By
      required:
        - project_id
        - digest
      title: TableQueryReq
      type: object
    TableQueryRes:
      properties:
        rows:
          items:
            $ref: '#/components/schemas/TableRowSchema'
          title: Rows
          type: array
      required:
        - rows
      title: TableQueryRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    TableRowFilter:
      additionalProperties: false
      properties:
        row_digests:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: フィルター対象の行ダイジェスト一覧
          examples:
            - - aonareimsvtl13apimtalpa4435rpmgnaemrpgmarltarstaorsnte134avrims
              - aonareimsvtl13apimtalpa4435rpmgnaemrpgmarltarstaorsnte134avrims
          title: Row Digests
      title: TableRowFilter
      type: object
    SortBy:
      additionalProperties: false
      properties:
        direction:
          enum:
            - asc
            - desc
          title: Direction
          type: string
        field:
          title: Field
          type: string
      required:
        - field
        - direction
      title: SortBy
      type: object
    TableRowSchema:
      properties:
        digest:
          title: Digest
          type: string
        original_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Original Index
        val:
          title: Val
      required:
        - digest
        - val
      title: TableRowSchema
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````